API referenceLinkedin messaging
What that person wrote in their one-to-one chat with the account.
X-API-KEY<token>
Your API key from the console (gw_live_…).
In: header
Path Parameters
id*string
The person's provider id (ACoA…).
Query Parameters
account_id*string
The LinkedIn account (lg_…) to act as.
Length
1 <= lengthcursor?string
The previous page's cursor, as given (a time anchor in epoch milliseconds).
limit?integer
How many of the chat's messages to read, 1 to 250 (a larger number counts as 250). Default 25. Only that person's are kept, so a page may hold fewer.
Range
1 <= value <= 250Default
25Response Body
application/json
curl -X GET "https://example.com/api/v1/chat_attendees/string/messages?account_id=lg_3f9c2a7b1d&cursor=1761902400000&limit=50"{ "object": "MessageList", "items": [ { "object": "Message", "id": "string", "message_id": "string", "chat_id": "string", "text": "string", "subject": "string", "timestamp": "2019-08-24T14:15:22Z", "is_sender": 0, "is_event": 0, "sender_attendee_provider_id": "string", "sender_provider_id": "string", "attachments": [ { "id": "string", "type": "img", "file_name": "string", "file_size": 0, "mimetype": "string", "voice_note": true, "duration": 0, "unavailable": true } ] } ], "cursor": "string"}